PUT
/project/{projectId}/wbs/{wbsId}
curl \
--request PUT 'https://live.smartpmtech.com/project/{projectId}/wbs/{wbsId}' \
--header "X-API-KEY: $API_KEY" \
--header "Content-Type: application/json" \
--header "X-COMPANY-ID: string" \
--data '{
"parentWBSId": 42,
"sequenceNumber": 42,
"code": "string",
"name": "string",
"startDate": "2026-05-04",
"endDate": "2026-05-04"
}'
Request examples
# Headers
X-COMPANY-ID: string
# Payload
{
"parentWBSId": 42,
"sequenceNumber": 42,
"code": "string",
"name": "string",
"startDate": "2026-05-04",
"endDate": "2026-05-04"
}
Response examples (200)
42